### Enumeration

# Soup URIComponent

#### Declaration

    enum Soup.URIComponent

#### Description [src]

Enum values passed to `soup_uri_copy()` to indicate the components of the URI that should be updated with the given values.

#### Members

Name | Description
--- | ---
`SOUP_URI_NONE` | No component.
`SOUP_URI_SCHEME` | The URI scheme component.
`SOUP_URI_USER` | The URI user component.
`SOUP_URI_PASSWORD` | The URI password component.
`SOUP_URI_AUTH_PARAMS` | The URI authentication parameters component.
`SOUP_URI_HOST` | The URI host component.
`SOUP_URI_PORT` | The URI port component.
`SOUP_URI_PATH` | The URI path component.
`SOUP_URI_QUERY` | The URI query component.
`SOUP_URI_FRAGMENT` | The URI fragment component.